petsc-3.4.2 2013-07-02

# PetscBool

Logical variable. Actually an int in C and a logical in Fortran.

### Synopsis

    typedef enum { PETSC_FALSE,PETSC_TRUE } PetscBool;

Developer Note: Why have PetscBool , why not use bool in C? The problem is that K and R C, C99 and C++ all have different mechanisms for boolean values. It is not easy to have a simple macro that that will work properly in all circumstances with all three mechanisms.

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/threadcomm/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex15.c.html